$(function(){
	// input tips
	$('#q-input .text').focus(function(){
		if ($(this).val() == $(this).attr('title')) {
			$(this).val('').removeClass('tips');
		}
	}).blur(function(){
		if ($(this).val() == '' || $(this).val() == $(this).attr('title')) {
			$(this).addClass('tips').val($(this).attr('title'));
		}
	}).blur().autocomplete({
		'source':'/tools/sg.aspx',
		'select':function(ev,ui) {
			$('#q-input .text').val(ui.item.label);
			$('#q-form').submit();
		}}
	);
	//toggle
	$('#toggle').toggle(
		function () {
			$(this).attr('class','btn-open');
			$('#main').animate({marginLeft: "-170px"}, 300);
		},
		function () {
			$(this).attr('class','btn-close');
			$('#main').animate({marginLeft: "0px"}, 300);
		}
	);
});